//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class videobox_hook_core_source_Group extends _HOOK_CLASS_
{
	public static function getStore()
	{	
			try
			{
			$store = parent::getStore();
	
			if( !array_key_exists( "videobox_limit_videos", $store[ \IPS\Settings::i()->admin_group ] ) )
			{
				$vbGroups = iterator_to_array( \IPS\Db::i()->select( '*', 'videobox_member_groups' )->setKeyField( 'vb_group_group' ) );
	
				foreach( $store as $id => $group )
				{
					$store[ $id ]['videobox_limit_videos'] = $vbGroups[ $id ]['videobox_limit_videos'] ?: 0;
				}
				
				\IPS\Data\Store::i()->groups = $store;
			}
	
			return \IPS\Data\Store::i()->groups;
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
	
	public function delete()
	{
		try
		{
			parent::delete();
			
			\IPS\Db::i()->delete( 'videobox_member_groups', array( 'vb_group_id=?', $this->g_id ) );
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
	
	public function save()
	{
		try
		{
			if ( \IPS\Request::i()->do == 'copy' )
			{
				$videobox_limit_videos = $this->_data['videobox_limit_videos'];
				unset( $this->_data['videobox_limit_videos'] );
			}
			
			parent::save();
			
			if ( \IPS\Request::i()->do == 'copy' )
			{
				\IPS\Db::i()->insert( 'videobox_member_groups', array(
					'videobox_limit_videos'	=> $videobox_limit_videos,
					'vb_group_group'		=> $this->g_id,
				) );
			}		
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
	
	
	
	
	
	
	
	
	
	
	
	
}
