<?php


namespace IPS\videobox\modules\front\video;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * collection
 */
class _collection extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{	
		parent::execute();
	}

	/**
	 * ...
	 *
	 * @return	void
	 */
	protected function manage()
	{
		# Load QuickSearch
		$collectionID = \IPS\Request::i()->id ? \intval(\IPS\Request::i()->id) : 0;
		
		try
		{
			$collection = \IPS\videobox\Collections\Collection::load( $collectionID );	
		}
		catch ( \OutOfRangeException $e ) {}
		
		if ( !$collection )
		{
			\IPS\Output::i()->error( 'node_error', '2BIMVB104/1', 403 );
		}
	
		# Load table
		$where[] = array( "find_in_set('{$collection->id}', v_collections)" );
		$table = new \IPS\Helpers\Table\Content( 'IPS\videobox\Video', $collection->url(), $where, NULL, NULL, NULL );
		$table->limit = \IPS\Settings::i()->vb_conf_collection_items > 0 ? \IPS\Settings::i()->vb_conf_collection_items : 30;	
		$table->title = $collection->_title;
		
		if ( \IPS\Settings::i()->vb_conf_collection_layout == "list" )
		{
			$table->rowsTemplate = array( \IPS\Theme::i()->getTemplate( 'browse', 'videobox' ), 'categoryRows_list' );
		}
		else
		{
			$table->rowsTemplate = array( \IPS\Theme::i()->getTemplate( 'browse', 'videobox' ), 'categoryRows_grid' );
		}
		
		/* Online User Location */
		\IPS\Session::i()->setLocation( $collection->url(), array(), 'loc_videobox_viewing_category', array( "videobox_collection_{$collection->id}" => TRUE ) );
		
		/* Output */
		\IPS\Output::i()->breadcrumb[] = array( $collection->url(), $collection->_title );		
		\IPS\Output::i()->title		= $collection->_title;	
		\IPS\Output::i()->output	= \IPS\Theme::i()->getTemplate( 'browse' )->collection( (string) $table );		
		
	}
}