<?php


namespace IPS\videobox\modules\front\video;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * page
 */
class _page extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{	
		parent::execute();
	}

	/**
	 * ...
	 *
	 * @return	void
	 */
	protected function manage()
	{
		try
		{
			$row = \IPS\Db::i()->select( '*', 'videobox_pages', array( 'vbp_furl=?', \IPS\Request::i()->page ) )->first();
			$page = \IPS\videobox\Page::constructFromData( $row );
		}
		catch( \UnderflowException $e )
		{
			\IPS\Output::i()->error( 'videobox_page_not_found', '2BIMVB106/1', 404 );
		}
		
		if ( $page->open != 1 )
		{
			\IPS\Output::i()->error( 'bp_error_pageoff', '2BIMVB106/2', 404 );
		}		
		
		if ( ! \IPS\Member::loggedIn()->inGroup( explode(",", $page->groups) ) )
		{
			\IPS\Output::i()->error( 'videobox_nopermission', '2BIMVB106/3', 404 );
		}		
		
		# Output
		if ( $page->wrapper == 1 )
		{
			if ( $page->_metakeywords ) 
			{
				\IPS\Output::i()->metaTags['keywords'] = $page->_metakeywords;
			}
			
			if ( $page->_metadescription ) 
			{
				\IPS\Output::i()->metaTags['description'] = $page->_metadescription;		
			}			
			\IPS\Output::i()->breadcrumb['module'] = array( NULL, $page->_title );
			\IPS\Output::i()->title		= $page->_title;		
			\IPS\Output::i()->output	= $this->displayContent( $page->_content );
		}
		else
		{
			echo $this->displayContent( $page->_content );
			exit;
		}
	}
	
	protected function displayContent( $content )
	{
		// Evaluate PHP
		ob_start();
		eval( "?>" . $content . "<?php " );
		$content = ob_get_contents();
		ob_end_clean();
			
		return $content;
	}
}