<?php


namespace IPS\videobox\setup\upg_10019;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * 1.0.19 Upgrade Code
 */
class _Upgrade
{
	/**
	 * ...
	 *
	 * @return	array	If returns TRUE, upgrader will proceed to next step. If it returns any other value, it will set this as the value of the 'extra' GET parameter and rerun this step (useful for loops)
	 */
	public function step1()
	{
		\IPS\Db::i()->query( "UPDATE " . \IPS\Db::i()->prefix . "videobox_videos SET v_featuredIMG_original=v_featuredIMG WHERE v_featuredIMG != ''" );
		return TRUE;
	}

	public function step2()
	{
		foreach( \IPS\Db::i()->select( 'DISTINCT vbrv_vid', 'videobox_reviews', array( 'vbrv_vid>?', 0 ), 'vbrv_vid desc' ) as $videoID )
		{
			$approved = \IPS\Db::i()->select( '\count(*)', 'videobox_reviews', array( 'vbrv_vid=? and vbrv_approved=?', $videoID, 1 ) )->first();
			$unapproved = \IPS\Db::i()->select( '\count(*)', 'videobox_reviews', array( 'vbrv_vid=? and vbrv_approved=?', $videoID, 0 ) )->first();
			$hidden = \IPS\Db::i()->select( '\count(*)', 'videobox_reviews', array( 'vbrv_vid=? and vbrv_approved=?', $videoID, -1 ) )->first();

			\IPS\Db::i()->update( 'videobox_videos', array( 'v_reviews' 			=> $approved, 
															'v_unapproved_reviews' 	=> $unapproved, 
															'v_hidden_reviews' 		=> $hidden,
														), array( 'v_id=? ', $videoID ) );
		}
		return TRUE;
	}
	
	// You can create as many additional methods (step2, step3, etc.) as is necessary.
	// Each step will be executed in a new HTTP request
}