<?php


namespace IPS\videobox\setup\upg_11014;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * 1.1.14 Upgrade Code
 */
class _Upgrade
{
	/**
	 * ...
	 *
	 * @return	array	If returns TRUE, upgrader will proceed to next step. If it returns any other value, it will set this as the value of the 'extra' GET parameter and rerun this step (useful for loops)
	 */
	public function step1()
	{
		@unlink( \IPS\ROOT_PATH . "/applications/videobox/interface/video-js/plugins/dailymotion.js" );
		@unlink( \IPS\ROOT_PATH . "/applications/videobox/interface/video-js/plugins/vimeo.js" );
		@unlink( \IPS\ROOT_PATH . "/applications/videobox/interface/video-js/plugins/youtube.js" );
		return TRUE;
	}
	
	/**
	 * INSERT MEDIA TAGS
	 */	
	public function step2()
	{
		// Youtube
		try
		{
			$youtube = \IPS\Db::i()->select( '*', 'videobox_mediatags', array( "vbmt_match LIKE ( CONCAT( '%', ?, '%' ) )", 'youtube' ) )->first();
		}
		catch ( \UnderflowException $e ) {}
		
		if ( !$youtube )
		{
			\IPS\Db::i()->insert( 'videobox_mediatags', array(
				'vbmt_name'			=> "Youtube 1",
				'vbmt_match'		=> "{1}youtube.com/watch\?v={2}",
				'vbmt_replace'		=> '<iframe width="560" height="315" src="https://www.youtube.com/embed/$2" frameborder="0" allowfullscreen></iframe>',
			) );
			
			\IPS\Db::i()->insert( 'videobox_mediatags', array(
				'vbmt_name'			=> "Youtube 2",
				'vbmt_match'		=> "{1}youtube.com/embed/{2}",
				'vbmt_replace'		=> '<iframe width="560" height="315" src="https://www.youtube.com/embed/$2" frameborder="0" allowfullscreen></iframe>',
			) );

			\IPS\Db::i()->insert( 'videobox_mediatags', array(
				'vbmt_name'			=> "Youtube 3",
				'vbmt_match'		=> "{1}//youtu.be/{2}",
				'vbmt_replace'		=> '<iframe width="560" height="315" src="https://www.youtube.com/embed/$2" frameborder="0" allowfullscreen></iframe>',
			) );			
		}
		
		// Dailymotion
		try
		{
			$dailymotion = \IPS\Db::i()->select( '*', 'videobox_mediatags', array( "vbmt_match LIKE ( CONCAT( '%', ?, '%' ) )", 'dailymotion' ) )->first();
		}
		catch ( \UnderflowException $e ) {}
		
		if ( !$dailymotion )
		{
			\IPS\Db::i()->insert( 'videobox_mediatags', array(
				'vbmt_name'			=> "Dailymotion",
				'vbmt_match'		=> "http://www.dailymotion.com/video/{1}",
				'vbmt_replace'		=> '<iframe frameborder="0" width="480" height="270" src="//www.dailymotion.com/embed/video/$1" allowfullscreen></iframe>',
			) );		
		}
		
		// Vimeo
		try
		{
			$vimeo = \IPS\Db::i()->select( '*', 'videobox_mediatags', array( "vbmt_match LIKE ( CONCAT( '%', ?, '%' ) )", 'vimeo' ) )->first();
		}
		catch ( \UnderflowException $e ) {}
		
		if ( !vimeo )
		{
			\IPS\Db::i()->insert( 'videobox_mediatags', array(
				'vbmt_name'			=> "Vimeo",
				'vbmt_match'		=> "{1}//vimeo.com/{2}",
				'vbmt_replace'		=> '<iframe src="https://player.vimeo.com/video/$2" width="640" height="360" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',
			) );		
		}
		
		return TRUE;
	}
}