<?php


namespace IPS\videobox\setup\upg_20000;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * 2.0.0 Upgrade Code
 */
class _Upgrade
{
	/**
	 * ...
	 *
	 * @return	array	If returns TRUE, upgrader will proceed to next step. If it returns any other value, it will set this as the value of the 'extra' GET parameter and rerun this step (useful for loops)
	 */
	public function step1()
	{		
		\IPS\Db::i()->query( "UPDATE " . \IPS\Db::i()->prefix . "videobox_videos SET v_livestream_is=1 WHERE v_livestream LIKE '%hitbox.tv%' OR v_livestream LIKE '%twitch.tv%' OR v_livestream LIKE '%smashcast.tv%'" );
		return TRUE;
	}
	
	public function step2()
	{
		if( \IPS\Db::i()->checkForColumn( 'videobox_categories', 'vcat_lstreams' ) )
		{		
			\IPS\Db::i()->dropColumn( 'videobox_categories', array( 'vcat_lstreams' ) );
		}
		if( \IPS\Db::i()->checkForColumn( 'videobox_categories', 'vcat_lstreams_chat' ) )
		{		
			\IPS\Db::i()->dropColumn( 'videobox_categories', array( 'vcat_lstreams_chat') );
		}
		
		\IPS\Db::i()->query( "UPDATE " . \IPS\Db::i()->prefix . "videobox_categories SET vcat_club_id=null WHERE vcat_club_id=0" );

		return TRUE;
	}
	
	public function step3()
	{
		\IPS\Db::i()->query( "UPDATE " . \IPS\Db::i()->prefix . "videobox_videos SET v_livestream=REPLACE(v_livestream, 'hitbox.tv', 'smashcast.tv') WHERE v_livestream LIKE '%hitbox.tv%'" );
		
		@unlink( \IPS\ROOT_PATH . "/applications/videobox/extensions/core/Queue/vbUpdateHitbox.php" );

		return TRUE;
	}
}