<?php
/**
 * @brief		VideoQuickSearch Widget
 * @author		<a href='http://www.invisionpower.com'>Invision Power Services, Inc.</a>
 * @copyright	(c) 2001 - SVN_YYYY Invision Power Services, Inc.
 * @license		http://www.invisionpower.com/legal/standards/
 * @package		IPS Social Suite
 * @subpackage	videobox
 * @since		10 Aug 2015
 * @version		SVN_VERSION_NUMBER
 */

namespace IPS\videobox\widgets;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * VideoQuickSearch Widget
 */
class _VideoQuickSearch extends \IPS\Widget\PermissionCache
{
	/**
	 * @brief	Widget Key
	 */
	public $key = 'VideoQuickSearch';
	
	/**
	 * @brief	App
	 */
	public $app = 'videobox';
		
	/**
	 * @brief	Plugin
	 */
	public $plugin = '';
	
	/**
	 * Initialise this widget
	 *
	 * @return void
	 */ 
	public function init()
	{		
		parent::init();
	}
	/**
	 * Specify widget configuration
	 *
	 * @param	null|\IPS\Helpers\Form	$form	Form object
	 * @return	null|\IPS\Helpers\Form
	 */
	public function configuration( &$form=null )
	{
 		if ( $form === null )
		{
	 		$form = new \IPS\Helpers\Form;
 		}

		$options = array();
		foreach ( \IPS\videobox\QuickSearch\Group::roots() as $id => $item )
		{
			$options[$id] = $item->_title;
		}
		$form->add( new \IPS\Helpers\Form\Select( 'vbox_qs_groups', isset( $this->configuration['vbox_qs_groups'] ) ? $this->configuration['vbox_qs_groups'] : 0, TRUE, array(
			'options'       => $options,
			'multiple'      => true
		) ) );			

 		return $form;
 	} 
 	
 	 /**
 	 * Ran before saving widget configuration
 	 *
 	 * @param	array	$values	Values from form
 	 * @return	array
 	 */
 	public function preConfig( $values )
 	{
 		// if ( \is_array( $values['vbox_qs_groups'] ) )
 		// {
	 		// $values['vbox_qs_groups'] = array_keys( $values['vbox_qs_groups'] );
 		// }
 		
 		return $values;
 	}

	/**
	 * Render a widget
	 *
	 * @return	string
	 */
	public function render()
	{
		return $this->output($this->configuration);
	}
}