<?php
/**
 * @brief		videoboxCategories Widget
 * @author		<a href='http://www.invisionpower.com'>Invision Power Services, Inc.</a>
 * @copyright	(c) 2001 - SVN_YYYY Invision Power Services, Inc.
 * @license		http://www.invisionpower.com/legal/standards/
 * @package		IPS Social Suite
 * @subpackage	videobox
 * @since		14 Jun 2015
 * @version		SVN_VERSION_NUMBER
 */

namespace IPS\videobox\widgets;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * videoboxCategories Widget
 */
class _videoboxCategories extends \IPS\Widget\PermissionCache
{
	/**
	 * @brief	Widget Key
	 */
	public $key = 'videoboxCategories';
	
	/**
	 * @brief	App
	 */
	public $app = 'videobox';
		
	/**
	 * @brief	Plugin
	 */
	public $plugin = '';
	
	public $neverCache = TRUE;
		
	/**
	 * Initialise this widget
	 *
	 * @return void
	 */ 
	public function init()
	{
		parent::init();
	}
	/**
	 * Specify widget configuration
	 *
	 * @param	null|\IPS\Helpers\Form	$form	Form object
	 * @return	null|\IPS\Helpers\Form
	 */
	public function configuration( &$form=null )
	{
 		if ( $form === null )
		{
	 		$form = new \IPS\Helpers\Form;
 		}
		else
		{
			$form = parent::configuration( $form );
		}
		
		$form->add( new \IPS\Helpers\Form\YesNo( 'vb_block_cat_full', $this->configuration['vb_block_cat_full'], FALSE ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vb_block_cat_club', $this->configuration['vb_block_cat_club'], FALSE ) );

 		return $form;
 	} 
	
	/**
	 * Render a widget
	 *
	 * @return	string
	 */
	public function render()
	{
		if ( \IPS\Request::i()->app == 'videobox' && \IPS\Request::i()->module == 'video' && \IPS\Request::i()->controller == 'browse' && \IPS\Request::i()->id > 0 )
		{
			try
			{
				$cat = \IPS\videobox\Category::loadAndCheckPerms( \IPS\Request::i()->id, 'read' );
				if ( $cat->club() )
				{
					return '';
				}
			}
			catch ( \OutOfRangeException $e )
			{
				return '';
			}			
		}
		
		return $this->output( $cat, $this->configuration );
		
	}
	
	
	
	
	
	
	
	
}