<?php
/**
 * @brief		videoboxStats Widget
 * @author		<a href='http://www.invisionpower.com'>Invision Power Services, Inc.</a>
 * @copyright	(c) 2001 - SVN_YYYY Invision Power Services, Inc.
 * @license		http://www.invisionpower.com/legal/standards/
 * @package		IPS Social Suite
 * @subpackage	videobox
 * @since		22 Jun 2015
 * @version		SVN_VERSION_NUMBER
 */

namespace IPS\videobox\widgets;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * videoboxStats Widget
 */
class _videoboxStats extends \IPS\Widget\PermissionCache
{
	/**
	 * @brief	Widget Key
	 */
	public $key = 'videoboxStats';
	
	/**
	 * @brief	App
	 */
	public $app = 'videobox';
		
	/**
	 * @brief	Plugin
	 */
	public $plugin = '';
	
	/**
	 * Initialise this widget
	 *
	 * @return void
	 */ 
	public function init()
	{
		parent::init();
	}

	/**
	 * Render a widget
	 *
	 * @return	string
	 */
	public function render()
	{
		$stats = array();
		$stats['totalVideos'] = \IPS\Db::i()->select( 'COUNT(*)', 'videobox_videos' )->first();
		$stats['totalAuthors'] = \IPS\Db::i()->select( 'COUNT(DISTINCT v_author)', 'videobox_videos' )->first();
		$stats['totalComments'] = \IPS\Db::i()->select( 'COUNT(*)', 'videobox_comments' )->first();
		$stats['totalReviews'] = \IPS\Db::i()->select( 'COUNT(*)', 'videobox_reviews' )->first();
		$stats['totalViews'] = \IPS\Db::i()->select( 'SUM(v_views)', 'videobox_videos' )->first();
		
		$latestVideo = NULL;
		foreach ( \IPS\videobox\Video::getItemsWithPermission( array(), NULL, 1 ) as $latestVideo )
		{
			break;
		}
		
		return $this->output( $stats, $latestVideo );
	}
}